aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/path.bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-06-21 11:26:23 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-06-21 11:26:23 +1200
commit685234af1f48e976fd57ec04d4a253bcabfad4ea (patch)
treee8b232b7d2a9ffc9f18b5fa82667277ceff98e0b /bash/bashrc.d/path.bash
parentRemove unneeded line-break backslashes (diff)
downloaddotfiles-685234af1f48e976fd57ec04d4a253bcabfad4ea.tar.gz
dotfiles-685234af1f48e976fd57ec04d4a253bcabfad4ea.zip
Remove unneeded linebreak backslashes
Handy command: $ find bin sh bash -type f -exec grep \ -e '|| \\$' \ -e '&& \\$' \ -e '^\s*||' \ -e '^\s*&&' \ {} +
Diffstat (limited to 'bash/bashrc.d/path.bash')
-rw-r--r--bash/bashrc.d/path.bash3
1 files changed, 1 insertions, 2 deletions
diff --git a/bash/bashrc.d/path.bash b/bash/bashrc.d/path.bash
index d705b0ca..5f78e20e 100644
--- a/bash/bashrc.d/path.bash
+++ b/bash/bashrc.d/path.bash
@@ -225,8 +225,7 @@ _path() {
IFS=: read -d '' -a promptarr < <(printf '%s\0' "$PATH")
local part
for part in "${promptarr[@]}" ; do
- [[ $part == "${COMP_WORDS[COMP_CWORD]}"* ]] \
- || continue
+ [[ $part == "${COMP_WORDS[COMP_CWORD]}"* ]] || continue
COMPREPLY[${#COMPREPLY[@]}]=$(printf '%q\0' "$part")
done
;;